
PACKAGE_NAME?=lettre
MAKELEVELBASE?=0
EXAMPLES:=letex1 letex2 letex3 letex4 letex5 letex6 \
	letex7 letex8 \
	testfaxf testfaxe testfaxd
SUBSRC:=$(addsuffix .tex,$(EXAMPLES))
SCRIPTOUT_SRC:=lettre-languages.tex
AUTO_SRC:=$(SCRIPTOUT_SRC) lettre-path.tex
TOPSRC := lettre.tex
MAINSRC := lettre-sondes.tex $(AUTO_SRC)
DOCMAKEFILE := makefile latexmkrc.pl letdoc.ist lettre-makedefinitions.mak
LOGOS:= amgmono.eps ecusson55.eps
LOGOSPDF:=$(patsubst %.eps,%.pdf,$(LOGOS))
INSTITUTS:=amg obs default

DOCSRC := $(MAINSRC) $(SUBSRC) $(TOPSRC) $(LOGOS)

DOCPDF := $(patsubst %.tex,%.pdf, $(TOPSRC))
# ce qui est livr tout compil dans les zip
DOC := lettre.pdf

LANGS:=english french german romand USenglish
STYFILES_STRIP:=lettre.cls $(patsubst %,lettre-%.ldf,$(LANGS))
STYFILES_INDOC:=$(STYFILES_STRIP)
STYFILES_PLAIN:=$(patsubst %,lettre-%.cfg,$(INSTITUTS))
STYFILES := $(STYFILES_STRIP) $(STYFILES_PLAIN)

README:= README ALIRE

DOS2UNIX?=
ifeq ($(OS),Windows_NT)
define DOS2UNIX
dos2unix $(1);
endef
endif

TEMPLATES:=institut.tpl lettre.tpl telefax.tpl

#DISTTYPE:=plain
DISTTYPE:=dtx

define TEX_TRIMMER_AWK
BEGIN {print_enb = 0};\
/^ *\\documentclass/ {print_enb = 1} ;\
print_enb == 1 {print};\
/^ *\\end{document}/ {print_enb=0}
endef


define STYSTRIP_TRIMMER_AWK
BEGIN { RS="\r?\n|\r"; state = 0; to_print_count = 0 };\
	{type = 0 };\
/^%\^\^A/ { type = 1; if(state == 1) to_print[to_print_count++] =  $$0;}; \
/^\\iffalse [A-Za-z:" ]+ *\\fi *$$/ { type = 2 }; \
/^ *$$/ { type = 3; if(state == 1) to_print[to_print_count++] =  $$0; }; \
 type == 0  { state= 1; for(i=0; i < to_print_count;) print to_print[i++]; to_print_count = 0; print}
endef 
#"

define STYPLAIN_TRIMMER_AWK
BEGIN { RS="\r?\n|\r"; state = 0; to_print_count = 0 };\
	{type = 0 };\
/^%/ { type = 1; if(state == 1) to_print[to_print_count++] =  $$0;}; \
/^\\iffalse [A-Za-z:" ]+ *\\fi *$$/ { type = 2 }; \
/^ *$$/ { type = 3; if(state == 1) to_print[to_print_count++] =  $$0; }; \
 type == 0  { state= 1; for(i=0; i < to_print_count;) print to_print[i++]; to_print_count = 0; print}
endef 
#"

# Local Variables:
# mode: makefile-gmake
# End:

